// gnome.xonotic.in.ua

models/mapobjects/gratelamp/gratelamp
{
	cull disable
	{
		map models/mapobjects/gratelamp/gratelamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/gratelamp/gratelamp_flare
{
	deformvertexes autosprite
	q3map_surfacelight 300
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/gratelamp/gratelamp_flare.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/kmlamp_white
{
	surfaceparm trans
	{
		map textures/effects/tinfxb.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

models/mapobjects/lamps/bot_flare
{
	deformvertexes autosprite
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap models/mapobjects/lamps/bot_flare.tga
		blendfunc gl_one gl_one
		tcmod rotate 20
	}
}

models/mapobjects/lamps/bot_flare2
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	deformvertexes wave 100 sin 0 1 0 9
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/lamps/bot_flare2.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/lamps/bot_lamp
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	{
		map models/mapobjects/lamps/bot_lamp.tga
		rgbgen vertex
	}
}

models/mapobjects/lamps/bot_lamp2
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	{
		map models/mapobjects/lamps/bot_lamp2.tga
		rgbgen vertex
	}
}

models/mapobjects/lamps/bot_wing
{
	deformvertexes move 0 0 3 sin 0 5 0 0.1
	deformvertexes move 2 2 0 sin 0 9 0 0.05
	deformvertexes wave 100 sin 0 .5 0 .5
	cull disable
	{
		map models/mapobjects/lamps/bot_wing.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/lamps/flare03
{
	deformvertexes autosprite
	q3map_surfacelight 200
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/lamps/flare03.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/nteleporter/energy
{
   cull disable
   
               
       {
               map models/mapobjects/auhporter/energy.tga
               blendfunc gl_one gl_one
               tcmod scroll 2.2 1.3
               rgbgen wave inversesawtooth -.3 1.3 0 1.3
             
       }
	{    
		map models/mapobjects/auhporter/energy2.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
              
	}
	{    
                map models/mapobjects/auhporter/energy3.tga
                blendfunc gl_one gl_one
                tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
              
	}

}

models/mapobjects/nteleporter/teleporter_edge
{
   cull disable
   
               
       {
               map models/mapobjects/auhporter/teleporter_edge.tga
               blendfunc gl_one gl_one
//               tcmod scroll 2.2 1.3
               rgbgen wave inversesawtooth -.3 1.3 0 1.3
             
       }
	{    
		map models/mapobjects/auhporter/teleporter_edge.tga
		blendfunc gl_one gl_one
//		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
              
	}
	{    
                map models/mapobjects/auhporter/energy3.tga
                blendfunc gl_one gl_one
                tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
              
	}

}

models/mapobjects/nteleporter/transparency
{
   cull disable
   
               
       {
               map models/mapobjects/auhporter/energy.tga
               blendfunc gl_one gl_one
               tcmod scroll 2.2 1.3
               rgbgen wave inversesawtooth -.3 1.3 0 1.3
             
       }
	{    
		map models/mapobjects/auhporter/energy2.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
              
	}
	{    
                map models/mapobjects/auhporter/energy3.tga
                blendfunc gl_one gl_one
                tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
              
	}

}

models/mapobjects/nteleporter/widget
{
   cull disable
   
               
       {
               map models/mapobjects/auhporter/energy.tga
               blendfunc gl_one gl_one
               tcmod scroll 2.2 1.3
               rgbgen wave inversesawtooth -.3 1.3 0 1.3
             
       }
	{    
		map models/mapobjects/auhporter/energy2.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
              
	}
	{    
                map models/mapobjects/auhporter/energy3.tga
                blendfunc gl_one gl_one
                tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
              
	}

}

models/mapobjects/spotlamp/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/mapobjects/spotlamp/beam.tga
		tcmod scroll .3 0
		blendfunc gl_one gl_one
	}
}

models/mapobjects/spotlamp/spotlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/spotlamp/spotlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/spotlamp/spotlamp_l
{
	cull disable
	q3map_surfacelight 200
	{
		map models/mapobjects/spotlamp/spotlamp_l.tga
		rgbgen identity
	}
}

models/mapobjects/teleporter/energy
{
	cull disable
	{
		map models/mapobjects/teleporter/energy.tga
		blendfunc gl_one gl_one
		tcmod scroll 2.2 1.3
		rgbgen wave inversesawtooth -.3 1.3 0 1.3
	}
	{
		map models/mapobjects/teleporter/energy2.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
	}
	{
		map models/mapobjects/teleporter/energy3.tga
		blendfunc gl_one gl_one
		tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
	}
}

models/mapobjects/teleporter/teleporter_edge
{
	{
		map models/mapobjects/teleporter/teleporter_edge.tga
		rgbgen vertex
	}
	{
		map models/mapobjects/teleporter/teleporter_edge2.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 .2 1.5
	}
}

models/mapobjects/teleporter/transparency
{
	cull disable
	{
		map models/mapobjects/teleporter/transparency.tga
		blendfunc gl_one gl_one
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll .1 .2
	}
}

models/mapobjects/teleporter/widget
{
	cull disable
	{
		map models/mapobjects/teleporter/widget.tga
		blendfunc gl_one gl_one
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll -.1 -.2
	}
}

textures/base_floor/diamond2c_ow
{
	surfaceparm metalsteps
	{
		map textures/sfx/proto_zzztblu2.tga
		tcmod turb 0 .5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/base_floor/diamond2c_ow.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/border11_250
{
	qer_editorimage textures/base_trim/border11light.tga
	q3map_surfacelight 250
	q3map_lightimage textures/base_trim/border11light.glow.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_trim/border11light.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/base_trim/border11light.glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .9 .1 0 10
	}
}

textures/base_trim/border11light
{
	q3map_surfacelight 500
	q3map_lightimage textures/base_trim/border11light.glow.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_trim/border11light.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/base_trim/border11light.glow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .9 .1 0 10
	}
}

textures/base_trim/pewter_shiney
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/base_trim/pewter_shiney.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/grill
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/grill.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/metalfloor_wall_15ow
{
	{
		map textures/base_wall/metalfloor_wall_15ow.tga
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/sfx/hologirl.tga
		tcmod scale 2 .4
		tcmod scroll 6 .6
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/base_wall/metalfloor_wall_15ow.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nodraw
	cull disable
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/gothic_trim/zinc_shiny
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/gothic_trim/zinc_shiny.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/sfx/bouncepad01block18b
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 2000
	{
		map textures/sfx/bouncepad01block18b.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/launchpad_diamond
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sfx/launchpad_diamond.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/launchpad_dot.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 1
	}
	{
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

textures/skies/polluted_earth
{
	qer_editorimage textures/skies/polluted_earth.jpg
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_globaltexture
	q3map_surfacelight 120
	surfaceparm sky
	nopicmip
	nomipmaps
	q3map_sunext 1 0.9 0.9 250 320 30
	q3map_skylight 100 4
	skyparms env/polluted_earth/polluted_earth - -
}

