//////////////////////////////////
//	      Glass		//
//////////////////////////////////
textures/suriel/glassblue
{
	qer_editorimage textures/suriel/glassblue_editor.tga
	surfaceparm trans
	cull disable
	qer_trans 0.5	
	{
		map textures/suriel/glassblue_env_stripes.tga
		blendfunc blend
	}
	{
		map textures/suriel/glassblue_env.tga
		blendfunc add
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

//////////////////////////////////
//	  Alphachannels		//
//////////////////////////////////
textures/suriel/glassfloor
{
	qer_editorimage textures/suriel/glassfloor.tga
	qer_trans 0.4
	q3map_lightimage textures/suriel/glassfloor.tga
	q3map_surfacelight 280
	cull disable
	{
		map textures/suriel/glassfloor.tga
		blendfunc add		
	}
	{
      		map $lightmap
     		blendFunc GL_DST_COLOR GL_ZERO
      		rgbGen identity
   	}
}

textures/suriel/elec_stripes
{
	qer_editorimage textures/suriel/elec_stripes.tga
	qer_trans 0.4
	q3map_lightimage textures/suriel/elec_stripes.tga
	q3map_surfacelight 250
	cull disable
	{
		map textures/suriel/elec_stripes.tga
		blendfunc filter
		alphaFunc GE128
	}
	{
		map textures/suriel/elec_stripes.tga
		blendfunc blend
		tcMod scale 2 3
		alphaFunc LT128
	}
	{
		map textures/suriel/elec_stripes.tga
		blendfunc add
		alphaFunc LT128
	}
	{
      		map $lightmap
     		blendFunc GL_DST_COLOR GL_ZERO
      		rgbGen identity
   	}
}

textures/suriel/laser
{
	qer_editorimage textures/suriel/red.tga
	surfaceparm nodlight
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	sort 11	
	{
		map models/weapons2/shotgun/shotgun_laser.tga
		blendfunc add
		tcMod scroll 0.1 0.1
		rgbGen identity
	}
}

textures/sfx/beam_blue_scrolling
	{
        qer_editorimage textures/sfx/beam_blue4.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
	cull none
	{
		map textures/sfx/beam_blue4.tga
		tcMod Scroll 0 .3
                blendFunc add
        }
     
}

textures/sfx/beam_white_scrolling
{
        qer_editorimage textures/sfx/beam.tga
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		map textures/sfx/beam.tga
                tcMod Scroll 0 .3
                blendFunc add
        }
     
}

textures/suriel/fallingnumbers
{
	qer_editorimage textures/suriel/fallingnumbers_1.tga
	surfaceparm nomarks	
	{
		map textures/suriel/fallingnumbers_1.tga
		tcMod scroll 0 -0.3
	}
	{
		map textures/suriel/fallingnumbers_2.tga
		blendfunc add
		tcMod scroll 0 -0.5
	}
	{
		map textures/suriel/fallingnumbers_3.tga
		blendfunc add
		rgbGen wave sin 0.4 1 1 0.5 
		tcMod scroll 0 -0.3
	}
	{
		map textures/suriel/fallingnumbers_4.tga
		blendfunc add
		rgbGen wave sin 0 1 0 0.4 
		tcMod scroll 0 -0.5
	}

}

//////////////////////////////////
//	      Lights		//
//////////////////////////////////

textures/suriel/evil6_trims/e6strimlight_wlight
{
	qer_editorimage textures/suriel/evil6_trims/e6strimlight.tga
	q3map_lightimage textures/suriel/evil6_lights/e6strimlight_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 600

	{
		map textures/suriel/evil6_trims/e6strimlight.tga
	}
	{
      map $lightmap
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   	}
	{
		map textures/suriel/evil6_trims/e6strimlight_blend.tga
		blendfunc add
	}
}

textures/suriel/evil6_trims/e6strimlight_wlight_green
{
	qer_editorimage textures/suriel/evil6_trims/e6strimlight_green.tga
	q3map_lightimage textures/suriel/evil6_trims/e6strimlight_blend_green.tga
	surfaceparm nomarks
	q3map_surfacelight 250

	{
		map textures/suriel/evil6_trims/e6strimlight_green.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/suriel/evil6_trims/e6strimlight_blend_green.tga
		blendfunc add
	}
}

textures/suriel/evil6_trims/e6btrim_wlight
{
	qer_editorimage textures/suriel/evil6_trims/e6btrim_light.tga
	q3map_lightimage textures/suriel/evil6_lights/e6btrim_light_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map textures/suriel/evil6_trims/e6btrim_light.tga
	}
	{
      map $lightmap
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   	}
	{
		map textures/suriel/evil6_trims/e6btrim_light_blend.tga
		blendfunc add
	}
}

textures/suriel/evil6_trims/e6trim_bsrlight_wlight
{
	qer_editorimage textures/suriel/evil6_trims/e6trim_bsrlight.tga
	q3map_lightimage textures/suriel/evil6_trims/e6trim_bsrlight_blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250

	{
		map textures/evil6_trims/e6trim_bsrlight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/evil6_trims/e6trim_bsrlight_blend.tga
		blendfunc add
	}
}

textures/suriel/evil8_trim/e8trimlight_white
{
	qer_editorimage textures/suriel/evil8_trim/e8trimlight.tga
	q3map_lightimage textures/suriel/e8trimlight_blendwhite.tga
	q3map_surfacelight 450
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/suriel/evil8_trim/e8trimlight.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/suriel/e8trimlight_blendwhite.tga
		blendfunc add		
	}
}
textures/suriel/e8warn2steplight_red
{
	qer_editorimage textures/suriel/evil8_floor/e8warn2steplight.tga
	q3map_lightimage textures/suriel/e8warn2steplight.blend_red.tga
	surfaceparm nomarks
	q3map_surfacelight 450
	{
		map textures/suriel/evil8_floor/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/suriel/e8warn2steplight.blend_red.tga
		blendfunc add
	}
}

textures/suriel/evil6_lights/e6v_light_s_wlight
{
	qer_editorimage textures/suriel/evil6_lights/e6v_light.tga
	q3map_surfacelight 450
	surfaceparm nomarks
	
	{
		map textures/suriel/evil6_lights/e6v_light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/suriel/evil6_lights/e6v_light_blend.tga
		blendfunc add
	}
}

//////////////////////////////////
//	     Terrain		//
//////////////////////////////////
/////Grass/////
textures/suriel/plant
{
	surfaceparm nonsolid	
	surfaceparm alphashadow
	cull disable
	{
 		map textures/suriel/plant.tga 		
		alphaFunc GE128
		depthWrite
		rgbGen identity
 	}
}

textures/suriel/grasswplants
{
        qer_editorimage textures/suriel/grass_01.tga
	surfaceparm nosteps
	surfaceparm nomarks	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_surfacemodel models/mapobjects/suriel/nggrass.ase 95 0.15 0.6 1.2 0 360 1
	q3map_lightmapAxis z	
	{
		map textures/suriel/grass_01.tga
		rgbGen identity
	}
	{
      map $lightmap
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
}

textures/suriel/dirt_grass_ivector
{
	qer_editorimage textures/suriel/dirt_grass.tga
	surfaceparm nomarks
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_lightmapAxis z	
	{
		map textures/suriel/dirt_grass.tga
		rgbGen identity
	}
	{
      map $lightmap
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   	}
}
	
//////////////////////////////////
//  Phongshading and Blendings	//
//////////////////////////////////
textures/suriel/rock_moss
{
 	q3map_nonplanar
 	q3map_shadeangle 85
	qer_editorimage textures/suriel/rock_moss_phong.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map 		textures/suriel/rock_moss.jpg
		blendFunc filter
 	}
}

textures/suriel/rock_smooth
{
 	q3map_nonplanar
 	q3map_shadeangle 85
 	qer_editorimage textures/suriel/rock_smooth_phong.jpg
 	{
 		map $lightmap
		rgbGen identity
	}
	{
 		map textures/suriel/rock_smooth.jpg
 		blendFunc filter
 	}
}


textures/suriel/bld_rock2moss
{
   	qer_editorimage textures/suriel/rock_moss_blending.jpg
   	q3map_nonplanar
   	q3map_shadeAngle 120

   	{
      map textures/suriel/rock_smooth.tga	// Primary texture
      rgbGen identity
   	}
  	{
      map textures/suriel/rock_moss.tga	// Secondary
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen identity
      alphaGen vertex
  	}

	{
      map $lightmap
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
}

textures/suriel/bld_grass2rock
{
   	qer_editorimage textures/suriel/gras_rock_blending.jpg
   	q3map_nonplanar
   	q3map_shadeAngle 120

   	{
      map textures/suriel/rock_moss.tga	// Primary texture
      rgbGen identity
   	}
  	{
      map textures/suriel/grass_01_alpha.tga	// Secondary
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen identity
      alphaGen vertex
  	}

	{
      map $lightmap
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
}

textures/suriel/dirt2grass
{
   	qer_editorimage textures/suriel/ter_dirtgrass.jpg
 	surfaceparm nomarks
	q3map_nonplanar
   	q3map_shadeAngle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_lightmapAxis z	
   	{
      map textures/suriel/grass_01_alpha.tga	// Primary texture
      rgbGen identity
   	}
  	{
      map textures/suriel/dirt_grass.tga	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA      
      rgbGen identity
      alphaGen vertex
  	}
	{
      map $lightmap
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
   }
}

/////Skybox/////

textures/suriel/sky
{
	qer_editorimage textures/suriel/jhnebula1.tga
	// light values tuned for -gamma 2 -compensate 4
	q3map_sunExt 0.6 0.8 0.8 500 90 85 2 12
	q3map_skyLight 75 3
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms env/512jhnebula1/jhnebula1 200 -
	nopicmip
} 

////////////Trims///////////

textures/suriel/e8trim_bluefx
{
	qer_editorimage textures/suriel/e8trim_bluefx_arrow.tga
	q3map_lightimage textures/suriel/e8trimfx_b.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/suriel/e8trim_bluefx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/suriel/e8trimfx_b.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/suriel/e8trim_redfx
{
	qer_editorimage textures/suriel/e8trim_redfx_arrow.tga
	q3map_lightimage textures/suriel/e8trimfx_r.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/suriel/e8trim_redfx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/suriel/e8trimfx_r.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/suriel/e8trim_greenfx
{
	qer_editorimage textures/suriel/e8trim_greenfx_arrow.tga
	q3map_lightimage textures/suriel/e8trimfx_g.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/suriel/e8trim_greenfx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/suriel/e8trimfx_g.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/suriel/e8trim_yellowfx
{
	qer_editorimage textures/suriel/e8trim_yellowfx_arrow.tga
	q3map_lightimage textures/suriel/e8trimfx_y.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/suriel/e8trim_yellowfx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/suriel/e8trimfx_y.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

/////SPAWNS///////
textures/suriel/spawn_tele
{
   qer_editorimage textures/suriel/spawns/ring_outside_tele.tga
   qer_trans 0.3
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nonsolid
   nopicmip
   sort 10
      {
       map textures/suriel/spawns/ring_outside_tele.tga
       blendfunc blend
       rgbGen identity
   }
	{
       clampmap textures/suriel/spawns/arrows_tele.tga
       blendfunc blend
       tcMod stretch inversesawtooth 0 1 0 0.8
       rgbGen identity
   }
   {
       map textures/suriel/spawns/ring_inside_tele.tga
       blendfunc blend
       rgbGen identity
   }
   {
       map textures/suriel/spawns/ring_middle2_tele.tga
       blendfunc blend
       tcMod rotate 90
       rgbGen identity
   }
   {
       map textures/suriel/spawns/ring_middle1_tele.tga
       blendfunc blend
       tcMod stretch sin 1.2 0.5 0 0.5
       tcMod rotate -45
       rgbGen identity
   }
}

textures/suriel/spawn_weapon
{
   qer_editorimage textures/suriel/spawns/ring_outside_weapon.tga
   qer_trans 0.3
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nonsolid
   nopicmip
   sort 10
      {
       map textures/suriel/spawns/ring_outside_weapon.tga
       blendfunc blend
       rgbGen identity
   }
	{
       clampmap textures/suriel/spawns/arrows_weapon.tga
       blendfunc blend
       tcMod stretch inversesawtooth 0 1 0 0.8
       rgbGen identity
   }
   {
       map textures/suriel/spawns/ring_inside_weapon.tga
       blendfunc blend
       rgbGen identity
   }
   {
       map textures/suriel/spawns/ring_middle2_weapon.tga
       blendfunc blend
       tcMod rotate 90
       rgbGen identity
   }
   {
       map textures/suriel/spawns/ring_middle1_weapon.tga
       blendfunc blend
       tcMod stretch sin 1.2 0.5 0 0.5
       tcMod rotate -45
       rgbGen identity
   }
}

////Jumppad////

textures/suriel/evil8_fx/e8_jumppad02_green
{
	qer_editorimage textures/suriel/evil8_fx/e8_jumppad02_green.tga
	q3map_lightimage textures/suriel/evil8_fx/e8_jumppad02_fx_green.tga
	surfaceparm metalsteps
	q3map_surfacelight 300
	{
		map textures/suriel/evil8_fx/e8_jumppad02_fx_green.tga
		blendfunc blend
		tcMod rotate 360
		tcMod stretch sin 1 0.8 1 0.4 
	}
	{
		map textures/suriel/evil8_fx/e8_jumppad02_green.tga
		blendfunc add
		rgbGen identity
	}
	{
		map textures/suriel/evil8_fx/e8_jumppad02_green.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/suriel/evil8_fx/e8_launchpad1_green
{
	qer_editorimage textures/suriel/evil8_fx/e8_launchpad1.tga
	q3map_lightimage textures/suriel/evil8_fx/e8_launchpad1.blend_green.tga
	surfaceparm metalsteps
	q3map_surfacelight 300
	{
		map textures/suriel/evil8_fx/e8_launchpad1_fx_green.tga
		rgbGen identity
		tcMod scroll 0 3
	}
	{
		map textures/suriel/evil8_fx/e8_launchpad1.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/suriel/evil8_fx/e8_launchpad1.blend_green.tga
		blendfunc add
		rgbGen wave triangle 0.2 2 1 2 
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

/////Teleporter_red

models/mapobjects/suriel/energy_red
{
   cull disable
   
               
       {
               map models/mapobjects/suriel/energy_red.tga
               blendfunc GL_ONE GL_ONE
               tcMod scroll 2.2 1.3
               rgbGen wave inversesawtooth -.3 1.3 0 1.3
             
       }
	{    
		map models/mapobjects/suriel/energy2_red.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -1 .5
		rgbGen wave inversesawtooth -.2 1.2 0 .5
              
	}
	{    
                map models/mapobjects/suriel/energy3_red.tga
                blendfunc GL_ONE GL_ONE
                tcMod scroll 3 0
		rgbGen wave triangle 1 1 0 5.3
              
	}

}

models/mapobjects/suriel/teleporter_edge_red
{
         

        {
          map models/mapobjects/suriel/teleporter_edge_red.tga 
          rgbGen vertex  
        }  
        {
                map models/mapobjects/suriel/teleporter_edge2_red.tga
                blendfunc GL_ONE GL_ONE
                rgbgen wave inversesawtooth 0 1 .2 1.5
        }
    
}

models/mapobjects/suriel/transparency_red
{
   cull disable
            
        {
                map models/mapobjects/suriel/transparency_red.tga
                blendfunc GL_ONE GL_ONE
                 
        }
        {
                map models/mapobjects/suriel/transparency2_red.tga
                blendfunc GL_ONE GL_ONE
                tcMod scroll .1 .2
        }

}

models/mapobjects/suriel/transparency2_red
{
   cull disable
            
        {
                map models/mapobjects/suriel/transparency2_red.tga
                blendfunc GL_ONE GL_ONE
                tcMod scroll .1 .2
        }

}

models/mapobjects/suriel/widget_red
{
   cull disable
            
        {
                map models/mapobjects/suriel/widget_red.tga
                blendfunc GL_ONE GL_ONE
                
        }
        {
                map models/mapobjects/suriel/transparency2_red.tga
                blendfunc GL_ONE GL_ONE
                tcMod scroll -.1 -.2
        }

}

/////Sponsors

textures/suriel/amd
{   
   
        qer_editorimage textures/suriel/amd_rgbr.tga
	{
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen vertex
	}  
        {
		map textures/suriel/amd_rgbr.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
         
}

textures/suriel/ati
{   
   
        qer_editorimage textures/suriel/ati_rgb.tga
	{
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen vertex
	}  
        {
		map textures/suriel/ati_rgb.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
         
}

textures/suriel/noghost
{   
   
        qer_editorimage textures/suriel/noghost_black.tga
	{
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen vertex
	}  
        {
		map textures/suriel/noghost_black.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
         
}

textures/suriel/maverick
{   
   
        qer_editorimage textures/suriel/msg.tga
	{
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen vertex
	}  
        {
		map textures/suriel/msg.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
         
}


textures/suriel/sapphire
{   
   
        qer_editorimage textures/suriel/sapphire_black.tga
	{
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen vertex
	}  
        {
		map textures/suriel/sapphire_black.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
         
}     

/////////////EvilLair's Standard////////

textures/suriel/evil6_floors/e6tekmtlrflr_h_full_slow
{
	qer_editorimage textures/suriel/evil6_floors/e6tekmtlrflr_h.tga

	{
		map textures/suriel/evil6_floors/e6tekmtlrflr_h.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/suriel/evil6_floors/e6tekmtlrflr_h_glow.tga
		rgbgen wave sin .5 .5 0 .2
		blendfunc add
	}
}

textures/suriel/evil8_floor/e8clangfloor03
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/suriel/evil8_floor/e8clangfloor03.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/suriel/evil8_floor/e8clangfloor04warn
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/suriel/evil8_floor/e8clangfloor04warn.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/suriel/evil8_floor/e8clangfloor04warn2
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/suriel/evil8_floor/e8clangfloor04warn2.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/suriel/evil8_floor/e8warn2steplight
{
	qer_editorimage textures/suriel/evil8_floor/e8warn2steplight.tga
	q3map_lightimage textures/suriel/evil8_floor/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/suriel/evil8_floor/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/suriel/evil8_floor/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/suriel/evil8_fx/e8jumpspawn02
{
	q3map_lightimage textures/suriel/evil8_fx/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/suriel/evil8_fx/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/suriel/evil8_fx/e8jumpspawn02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/suriel/evil8_fx/e8spawn01b
{
	{
		map textures/sfx/proto_zzztblu2.tga
		rgbGen identity
		tcMod turb 0 0.5 0 9.6
		tcMod scale 2 2
		tcMod scroll 9 5
	}
	{
		map textures/suriel/evil8_fx/e8spawn01b.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/suriel/evil8_lights/e8tinylight
{
	qer_editorimage textures/suriel/evil8_lights/e8tinylight.tga
	q3map_lightimage textures/suriel/evil8_lights/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/suriel/evil8_lights/e8tinylight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/suriel/evil8_lights/e8tinylight.blend.tga
		blendfunc add
	}
}

textures/suriel/evil8_lights/e8tinylightblue
{
	qer_editorimage textures/suriel/evil8_lights/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/suriel/evil8_lights/e8tinylightblue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/suriel/evil8_lights/e8tinylightblue.blend.tga
		blendfunc add
	}
}

textures/suriel/evil8_trim/e8lighttrim_b_static
{
	qer_editorimage textures/suriel/evil8_trim/e8lighttrim_b.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/suriel/evil8_trim/e8lighttrim_b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/suriel/evil8_trim/e8lighttrim_b.blend.tga
		blendfunc add
	}
}

textures/suriel/evil8_trim/e8wrntrim2
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
	{
		map textures/suriel/evil8_trim/e8wrntrim2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/suriel/weapclip_marks
{
	qer_editorimage textures/suriel/weapclip_nmark.tga
	qer_trans 0.4
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/sfx/blackness.tga
		alphaFunc LT128
	}
}

models/mapobjects/suriel/nateleaf1/tree2
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/suriel/nateleaf1/tree2.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}